%define		pkg	lockfile
Summary:	A very polite lock file utility
Name:		nodejs-%{pkg}
Version:	0.4.2
Release:	1
License:	MIT
Group:		Development/Libraries
URL:		https://github.com/isaacs/lockfile
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	a30028afae8bdfc4752b0a0c5f4ac4fb
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A very polite lock file utility, which endeavors to not litter, and to
wait patiently for others.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -a package.json %{pkg}.js $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%{nodejs_libdir}/%{pkg}
%changelog
* Wed Mar 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-lockfile.git;a=log;h=master

* Fri Mar 07 2014 Łukasz Kieś <kiesiu@pld-linux.org> 6858d98
- updated to 0.4.2

* Mon Feb 18 2013 Aria <aredridel@nbtsc.org> b820d86
- Proper description and summary

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> ac8050f
- v0.3.0

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> 7b825fe
- Intiial commit

